package main

import (
	"log/slog"

	stagerunner "github.com/joint-online-judge/JOJ3/cmd/joj3/stage-runner"
	teapotcaller "github.com/joint-online-judge/JOJ3/cmd/joj3/teapot-caller"
)

func main() {
	// TODO: call stage-runner
	if err := stagerunner.Run(); err != nil {
		slog.Error("stage runner error", "error", err)
	}
	// TODO: call joint-teapot
	if err := teapotcaller.Run(); err != nil {
		slog.Error("teapot caller error", "error", err)
	}
}
